<?php if(!defined('PLX_ROOT')) exit;

$currentURL = sprintf('%s://%s%s',
				isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off' ? 'https' : 'http',
				$_SERVER['SERVER_NAME'],
				$_SERVER['REQUEST_URI']);
//~ $baseURL = preg_replace('/core.*$/','',$currentURL);
$baseURL = $plxAdmin->urlRewrite('?');
?>
<form action="plugin.php?p=<?php echo $pluginName ?>" method="post">
	<div class="scrollable-table"><br />
		<table class="full-width table <?php echo $pluginName ?>">
			<thead>
				<tr>
					<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'checkbox[]')" title="<?php $plxPlugin->lang("Sélectionner/Déselectionner tout");?>"/></th>
					<?php echo ($plxPlugin::$isPrivacyPossible OR $plxPlugin::$lockArticles OR $plxPlugin::$adhesion) ? '<th><a class="plnExtendedJurisdiction" title="'.$plxPlugin->getLang('L_HELP_HOW_PRIVATE').'"></a></th>'."\n" : '';?>
					<th><?php $plxPlugin->lang('L_ADMIN_TYPE')?></th>
					<th><?php $plxPlugin->lang('L_ADMIN_TITRE')?></th>
					<th><?php $plxPlugin->lang('L_ADMIN_DESCRIPTION')?></th>
					<th><?php $plxPlugin->lang('L_STATUS')?></th>
				</tr>
			</thead>
			<tbody>
				<?php
				$bool = 0;
				foreach($plxPlugin->aKikan as $kikanId => $Kikan) {
					$kikanURL = $plxPlugin->lang . $pluginName . '=' . $Kikan['hash'];
				?>
				<tr class="line-<?php echo $bool ?>">
					<td><input type="checkbox" name="checkbox[]" value="<?php echo $kikanId ?>"/></td>
<?php
						if($plxPlugin::$isPrivacyPossible OR $plxPlugin::$lockArticles OR $plxPlugin::$adhesion)
						{
							if($Kikan['isPrivate'])
							{
								if($Kikan['privateProfiles'] == '')
								{
									$class = 'orangelock';
									$help  = 'YES';
								}
								else
								{
									$class = 'redlock';
									$help  = 'PROFILE';
								}
							}
							else
							{
								$class = 'greenlock';
								$help  = 'NO';
							}
							echo '					<td><a class="'.$class.'" title="'.$plxPlugin->getLang('L_HELP_ISPRIVATE_' . $help).'"></a></td>'.PHP_EOL;
						}
?>
					<td class="wrap"><?php echo $Kikan['typeKikan'] ?></td>
					<td><a class="adminchoices" href="plugin.php?p=<?php echo $pluginName ?>&amp;kikanedit=<?php echo $kikanId ?>" title="<?php $plxPlugin->lang('L_ADMIN_EDIT')?>"><?php echo plxUtils::strRevCheck($Kikan['title']) ?></a></td>
					<td class="wrap"><?php echo plxUtils::strCut(plxUtils::strRevCheck($Kikan['description'])) ?></td>
					<td class="wrap"><?php $plxPlugin->lang('L_STATUS_' . $Kikan['status']);
						if($Kikan['status'])#published == '1' draft =='0' #old == 'publié'
							echo ' - <a class="editchoices" title="'.$plxPlugin->getLang('L_EDIT').'" href="' . $baseURL . $kikanURL.'">'.$kikanURL.'</a>';?>
					</td>
				</tr>
				<?php
				$bool = 1 - $bool;
				} ?>
			</tbody>
		</table>
	</div>
<p class="in-action-bar">
	<?php plxUtils::printSelect('selection', array( '' =>L_FOR_SELECTION, 'delete' =>L_DELETE), '', false, 'no-margin', 'id_selection') ?>
	<input type="submit" name="submit-select-ok" value="<?php echo L_OK ?>" onclick="return confirmAction(this.form, 'id_selection', 'delete', 'checkbox[]', '<?php $plxPlugin->lang('L_CONFIRM_DELETE') ?>')" />
	<?php echo $Token ?>
</p>
</form>
