<?php if(!defined('PLX_ROOT')) exit;
#Affichage public (frontend) des ki(kan|koi)s
$pluginName = get_class($this);#$this est plnKikan
$plxPlugin  = &$this;//$plxMotor->plxPlugins->aPlugins['plnKikan'];
$kikanId	= $plxPlugin->kikanId;
# On charge jquery que s'il ne l'est pas déjà ?>
<script>window.jQuery || document.write('<script src="<?php echo PLX_PLUGINS.$pluginName?>/js/jquery.min.js"><\/script>'); </script>
<script src="<?php echo PLX_PLUGINS.$pluginName?>/js/site_displayhelp.js"></script>
<?php
if(!$plxPlugin->isSpecificAccessAllowed($kikanId))
	return;

# Cette fonction permet d'afficher une ligne de choix (feux tricolores).
# Si un argument est passé en paramètre, on considère que c'est le numéro de l'utilisateur,
# et donc que l'information à afficher est de type "modification du choix"
# On construit un "<tr>" complet
function displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$User=0)
{
	# Si on demande explicitement à modifier la ligne d'un utilisateur, on prépare
	if($User != 0)
	{
		reset($Kikan['choix']);
		for($i=0;$i<$User-1;$i++)
			next($Kikan['choix']);
		$Name	   = key($Kikan['choix']);
		$timestamps = current($Kikan['choix']);
	}
	else
	{
		$plxMotor = plxMotor::getInstance();
		$Name = '';
		# Si l'utilisateur est connecté via plnPrivateAccount, on met directement son nom
		if($plxPlugin::$isPrivacyPossible && plnExtendedJurisdiction::isConnected())
		{
			$Name = $plxMotor->plxPlugins->aPlugins['plnExtendedJurisdiction']->aAccounts[$_SESSION['plnExtendedJurisdiction_user']]['login'];
		}
		# Si l'utilisateur est connecté via adhesion, on met directement son nom et son prénom
		if(isset($_SESSION['adhesion']) AND isset($plxMotor->plxPlugins->aPlugins['adhesion']))
		{
			$adherent = $plxMotor->plxPlugins->aPlugins['adhesion']->plxRecord_adherents->result[ $plxMotor->plxPlugins->aPlugins['adhesion']->adherentsList[ $_SESSION['adhesion'] ] ];//->aAccounts[$_SESSION['plnExtendedJurisdiction_user']]['login'];
			$Name = $adherent['nom'].' '.$adherent['prenom'];
		}
		# A condition qu'il n'y ait pas déjà une ligne à son nom.
		if($Name)
		{
			foreach($Kikan['choix'] as $UserName => $Dummy)
			{
				if($UserName == $Name)
				{
					$Name = '';
					break;
				}
			}
		}
	}
	echo '<tr><td>';
	plxUtils::printInput('name',$Name,'text','18-50',false,'" required="required',$plxPlugin->getLang('L_YOUR_NAME'));
	if(!empty($Name))plxUtils::printInput('old-name',$Name,'hidden');
	echo '</td>';
	foreach($aTimestamp as $timestamp)
	{#var_dump(__FILE__ . ' ' . __LINE__. ' #00 ts: ' .$timestamp);
		if($Kikan['typeKikan'] == 'kikoi') $timestamp = plxUtils::title2url($timestamp);
#var_dump(__FILE__ . ' ' . __LINE__. ' #11 ts: ' .$timestamp);
		$Checked['red']	   = '';
		$Checked['yellow']	= '';
		$Checked['green']	 = '';
		//Si on édite un choix déja fait : *hash*&edit=5&name=*pseudo*#kikanAriane
		if($User != 0 && isset($timestamps[$timestamp]))
		{//var_dump(__FILE__.' '.__LINE__.' #isset ts',$timestamps[$timestamp]);EXIT;
			switch($timestamps[$timestamp])
			{
				case '1'  : $Checked['green']  = ' checked';break;
				case '0.5': $Checked['yellow'] = ' checked';break;
				case '0'  : $Checked['red']	= ' checked';break;
			}
		}
		else
			$Checked['red'] = ' checked';
	?>
		<td class="rightborder">
			<label>
				<input type="radio" name="<?php echo $timestamp ?>" value="0"<?php echo $Checked['red'];?> />
				<div alt="no" class="no"></div>
			</label>
			<label>
				<input type="radio" name="<?php echo $timestamp ?>" value="0.5"<?php echo $Checked['yellow'];?>  />
				<div alt="maybe" class="maybe"></div>
			</label>
			<label>
				<input type="radio" name="<?php echo $timestamp ?>" value="1"<?php echo $Checked['green'];?>  />
				<div alt="yes" class="yes"></div>
			</label>
		</td>
	<?php
	}#EXIT(__FILE__ . ' ' . __LINE__);
	?>
	<td><input type="submit" name="submit-save" value="<?php $plxPlugin->lang('L_SAVE')?>"/></td>
	</tr>
	<?php
}#fi funk displayEditChoice

$Kikan		  = $plxPlugin->aKikan[$kikanId];
# Est-on en mode édition ou juste vision ?
$isEdition	  = (isset($_GET['voir'])) ? false : true;
# Est-ce qu'on veut modifier un choix existant ?
$isModification = ($isEdition & isset($_GET['edit'])) ? plxUtils::strCheck($_GET['edit']) : false;
# Est-ce qu'on veut supprimer une ligne ?
if(isset($_GET['supp']))
{
	$SuppNum = plxUtils::strCheck($_GET['supp']);
	$SuppName = plxUtils::strCheck($_GET['name']);
	foreach($Kikan['choix'] as $name => $timestamps)
	{
		$SuppNum--;
		if($SuppNum == 0 && $SuppName == plxUtils::title2url($name))
		{
			unset($Kikan['choix'][$name]);
			unset($plxPlugin->aKikan[$kikanId]['choix'][$name]);
			$plxPlugin->saveKikan('choix');
		}
	}
}

# On construit le tableau des "mois"
$aMonth = array();
if ($Kikan['typeKikan']!='kikoi'){
	foreach($Kikan['dates'] as $date => $horaires)
	{
		$Month = $plxPlugin->getLang(strftime('%B',strtotime($date))).' '.substr($date,0,4);
		//if ($Kikan['typeKikan']=='kikoi') $Month = $date;

		if(isset($aMonth[$Month]))
		$aMonth[$Month] += count($horaires) == 0 ? 1 : count($horaires);
		else
		$aMonth[$Month]  = count($horaires) == 0 ? 1 : count($horaires);
	}
}
$pageUri = $this->plxMotor->urlRewrite('?'.$plxPlugin->lang.$pluginName).'=';#index.php?(fr/)plnKikan=
#Fil d'ariane ?>
<p id="kikanAriane" class="ariane <?php echo $pluginName?>"><a href=""><?php
$this->lang('HOME')?></a>&nbsp;&gt;&nbsp;<a href="<?php
echo rtrim($pageUri, '=') ?>"><?php
$plxPlugin->lang('L_HOME_KI');?></a>&nbsp;&gt;&nbsp;<?php
$plxPlugin->lang('L_HOME_'.$Kikan['typeKikan']) ?>&nbsp;<a class="<?php
echo $isEdition? 'edit': 'view' ?>choices" href="<?php
echo $pageUri.$Kikan['hash'].($isEdition ? '' : '&amp;voir') ?>#kikanAriane"><?php
echo plxUtils::strRevCheck($Kikan['title']);?></a>&nbsp;:&nbsp;<a class="<?php
echo !$isEdition? 'edit': 'view' ?>choices" href="<?php
echo $pageUri.$Kikan['hash'].(!$isEdition ? '' : '&amp;voir') ?>#kikanAriane"><?php
$plxPlugin->lang(!$isEdition ? 'L_EDIT' : 'L_SEE');?></a><?php
if(isset($_SESSION['profil']) AND $_SESSION['profil'] <= $plxPlugin->getParam('droitAcces')){# connecté a l'admin
	?>&nbsp;/&nbsp;<a class="adminchoices" href="core/admin/plugin.php?p=<?php
	echo $pluginName . ($plxPlugin->aLangs?'&amp;lang='.rtrim($plxPlugin->lang,DIRECTORY_SEPARATOR):'') ?>&amp;kikanedit=<?php
	echo $kikanId ?>"><?php
	$plxPlugin->lang('L_ADMIN_EDIT')?></a><?php
}#Fi si un admin connecté
#Fi fil d'ariane ?></p>
<div class="<?php echo $pluginName?>">
	<article>
		<p><?php echo nl2br(plxUtils::strRevCheck($Kikan['description']));?></p>
	</article>
	<?php if($isEdition) { ?>
	<?php plnToolBox_v1::displayMsg();#DISPLAY msg by session ?>
	<div id="<?php echo $pluginName?>Help">
		<span><?php $plxPlugin->lang('L_USER_HELP_TITLE');?></span>
		<a><?php $plxPlugin->lang('L_USER_HELP_WHAT_IS_'.strToUpper($Kikan['typeKikan']));?></a>
		<div><?php $plxPlugin->lang(strToUpper($Kikan['typeKikan']).'_DEFINITION');?></div>
		<a><?php $plxPlugin->lang('L_USER_HELP');?></a>
		<div><?php $plxPlugin->lang(strToUpper($Kikan['typeKikan']).'_USER_HELP');?></div>
	</div>
	<form action="<?php echo $pageUri.$Kikan['hash']?>#kikanAriane" method="post" onsubmit="return kiNames();">
		<input name="kikanId" type="hidden" value="<?php echo $kikanId;?>" />
	<?php } ?>
<?php
	$head0 = $head1 = $head2 = $head3 = '';
	// On PRÉPARE l'affichage les mois, sachant que le tableau des dates est donné trié ça se passera bien
	foreach($aMonth as $month => $colspan)
	{
		$colspan = $colspan > 1 ? ' colspan="'.$colspan.'"' : '';
		$head1 .= '<th '.$colspan.' class="rightborder">'.$month.'</th>'.PHP_EOL;
	}
//	$head0 .= '<th></th></tr><tr><th></th>'.PHP_EOL;

	// On PRÉPARE l'affichage de l'ensemble des dates
	foreach($Kikan['dates'] as $date => $horaires)
	{
		$colspan = count($horaires) > 1  ? ' colspan="'.count($horaires).'"' : '';
		//$rowspan = count($horaires) == 0 ? ' rowspan="2"' : '';
		if ($Kikan['typeKikan']=='kikan') $head2 .= '<th'.$colspan.' class="rightborder">'.$plxPlugin->getLang(strftime('%A',strtotime($date))).' '.substr($date,8,2).'</th>'.PHP_EOL;
 	if ($Kikan['typeKikan']=='kikoi') $head2 .= '<th'.$colspan.' class="rightborder">'.$date.'</th>'.PHP_EOL;
	}
	$head0 = '<th></th></tr>'.PHP_EOL.'<tr><th></th>'.PHP_EOL;

	// On PRÉPARE l'affichage et les données de l'ensemble des horaires (ou données)
	$aTimestamp = array();
	foreach($Kikan['dates'] as $date => $horaires)
	{
		foreach($horaires as $horaire)
		{
			$head3 .= '<th class="rightborder">'.$horaire.'</th>'.PHP_EOL;
			$aTimestamp[] = ($Kikan['typeKikan'] == 'kikoi' ? plxUtils::title2url($date.'_'.$horaire) : $date.'_'.$horaire);//str_replace(' ','~',$date).'_'.str_replace(' ','~',$horaire);
		}
		if(empty($horaires))
		{
			$head3 .= '<th class="rightborder"></th>'.PHP_EOL;
			$aTimestamp[] = ($Kikan['typeKikan'] == 'kikoi' ? plxUtils::title2url($date) : $date);//str_replace(' ','~',$date);
		}
	}
	//$head2 .= '<th></th></tr>'.PHP_EOL;
	//echo $head2;
?>
<div class="scrollable-table">
		<table id="kikanTable" class="full-width table <?php echo $pluginName?>">
		<thead><tr><th></th>
<?php echo $head1.$head0.$head2.$head0.$head3 ?><th></th></tr>
		</thead>
		<tfoot><tr><th></th>
<?php echo $head3.$head0.$head2.$head0.$head1 ?><th></th></tr>
		</tfoot>
		<tbody>
<?php
	unset($head0, $head1, $head2, $head3);
	# On affiche une ligne de choix à faire si on est en mode edition
	if($isEdition and !$isModification)
		displayEditChoice($aTimestamp,$plxPlugin,$Kikan);

	# On prépare les sommes finales...
	$aSomme = array();
	foreach($aTimestamp as $timestamp)
		$aSomme[$timestamp] = $aMaybe[$timestamp] = 0;
	$redcircleclass = 'no'.($plxPlugin->getParam('redCircle')?' withcircle':'');
	$maycircleclass = 'maybe'.($plxPlugin->getParam('mayCircle')?' withcircle':'');
	$yescircleclass = 'yes'.($plxPlugin->getParam('yesCircle')?' withcircle':'');
	# On affiche l'ensemble des choix déjà effectués par d'autres utilisateurs
	$uNum = $maxi = 0;
	$uData = '';

	foreach($Kikan['choix'] as $name => $timestamps)
	{
		$uNum++;
		if($uNum == $isModification)
			displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$uNum);
		else
		{
			echo '<tr><td>'.$name.'</td>'.PHP_EOL;
			$uData .= $name.'~';
			foreach($aTimestamp as $timestamp)
			{
				$class	  = 'nochoice';
				$contents   = '';
				if(isset($timestamps[$timestamp]))
					switch($timestamps[$timestamp])
					{
						case '1'  : $class = $yescircleclass;$aSomme[$timestamp]++;break;
						case '0.5': $class = $maycircleclass;$aMaybe[$timestamp]++;break;
						case '0'  : $class = $redcircleclass;break;
					}

				echo '<td class="'.$class.' rightborder">';
				echo '</td>';
			}
			if($maxi < ($aSomme[$timestamp] + ($aMaybe[$timestamp]/2)))
				$maxi = $aSomme[$timestamp] + ($aMaybe[$timestamp]/2);
			echo '<td>';
			if($isEdition)
			{
				echo '<a href="?'.$pluginName.'='.$Kikan['hash'].'&edit='.$uNum.'&name='.plxutils::title2url($name).'#kikanAriane" class="editchoices" title="'.$plxPlugin->getLang('L_EDIT_USER_CHOICE').'"></a>';
				echo '<a href="?'.$pluginName.'='.$Kikan['hash'].'&supp='.$uNum.'&name='.plxutils::title2url($name).'#kikanAriane" class="suppchoices" title="'.$plxPlugin->getLang('L_DELETE_THIS_LINE').'" onclick="return(confirm(\''.$plxPlugin->getLang('L_CONFIRM_DELETE').'\'));"></a>';
			}
			echo '</td></tr>'.PHP_EOL;
		}
	}
?>
		<tr id="sommes" class="sommes" data-names="<?php echo rtrim($uData,'~');?>">
			<td><?php $plxPlugin->lang('Somme');?></td>
<?php
	foreach($aTimestamp as $timestamp)#219,244,204
		echo '<td class="rightborder" style="background-color:rgba(197,222,182,'.($uNum?(($aSomme[$timestamp] + ($aMaybe[$timestamp]/2))/$uNum):'0').')">'.$aSomme[$timestamp].'</td>'.PHP_EOL;
?>
		<td>&nbsp;/&nbsp;<?php echo $uNum ?></td></tr>
		</tbody>
	</table>
</div>
<?php if($isEdition) { ?>
	<?php echo plxToken::getTokenPostMethod(); ?>
	</form>
<?php }#Fi only isEdition ?>

	<div id="legende" class="legende"><span><?php $plxPlugin->lang('L_LEGEND');?></span>&nbsp;:&nbsp;
		<div alt="no"    class="no"></div>    <?php $plxPlugin->lang('L_NON_LEGEND_'.$Kikan['typeKikan']);?>
		<div alt="maybe" class="maybe"></div> <?php $plxPlugin->lang('L_MAY_LEGEND_'.$Kikan['typeKikan']);?>
		<div alt="yes"   class="yes"></div>   <?php $plxPlugin->lang('L_YES_LEGEND_'.$Kikan['typeKikan']);?>
	</div>

</div>
<script>
function kiNames(){//Si un nom est déja ds la liste on avertis
 var nom = document.getElementById('id_name').value;
 if(!nom) return false;
 var noms = document.getElementById('sommes').getAttribute('data-names');
 noms = noms.split('~');
 //console.log(nom,noms);
 for(var i = 0; i < noms.length; i++ )
  if(noms[i] == nom) return confirm('<?php printf($plxPlugin->getLang('L_CONFIRM_JS_REPLACE_EXIST_NAME'),'nom') ?>');
}
window.setTimeout(function(){document.getElementById('legende').className='legende loaded';},1618);//load all img
</script>
