<style>
	p.definition 		{	padding:5px 5px 5px 20px;
							text-indent:-15px;
							font-style:italic;
							margin-bottom:10px;
							border:1px solid lightblue;
							border-radius:10px;
							background-color:#EFEFFF;
						}
	p.definition span 	{	text-decoration:underline;}
	p 					{	text-align:justify;margin-bottom:5px;}
	h3					{	font-size: 1.2em;margin:10px 0 5px 0;text-decoration:underline;color:blue;}
	h4					{	margin:10px 0 5px 0;text-decoration:underline;}
	ul 					{	margin-left:15px;margin-bottom:5px;}
</style>

<h2 class="hide">plnKikan</h2>
<p class="in-action-bar">Aide du Plugin</p>


<?php 
$plxAdmin  = plxAdmin::getInstance();
$plxPlugin = $plxAdmin->plxPlugins->aPlugins['plnKikan'];
$plxPlugin->lang('KIKAN_DEFINITION');
$plxPlugin->lang('KIKOI_DEFINITION');
?>

<p>Le plugin plnKikan permet d'implémenter des kikans et kikois, au sens des définition vues ci-dessus. Il se scinde en deux grandes fonctionnalités : le Quand/Quoi et le Qui.</p>

<h3>Quand</h3>

<p>Le "Quand" est défini lors de la création du kikan. Cette création se fait via l'interface d'administration du kikan, 
	et n'est donc disponible que d'un utilisateur possédant un compte standard pluXml.<p>

<h3>Quoi</h3>

<p>Le "Quoi" est défini lors de la création du kikoi. Cette création se fait via l'interface d'administration du kikoi, 
	et n'est donc disponible que d'un utilisateur possédant un compte standard pluXml.<p>

<p>L'interface d'administration permet d'en afficher la liste, d'y accéder en vue de l'administrer et d'en créer des nouveaux.</p>

<h4>Liste des kikans (et kikois)</h4>

<p>La liste affiche l'ensemble des existants. Elle permet&nbsp;:</p>
<ul>
	<li>- de le(s) supprimer (définitivement !),</li>
	<li>- de voir leur type (kikan ou kikoi),</li>
	<li>- de voir leur status de publication (brouillon ou publié),</li>
	<li>- d'afficher l'URL directe permettant d'accéder à sa partie "Qui" (s'il est publié),</li>
	<li>- d'afficher un lien permettant d'accéder à sa partie "Quand/Quoi",</li>
	<li>- d'afficher son statut de "privatisation" (si cette option est disponible).</li>
</ul> 

<p>Tant qu'un kikan/kikoi n'est pas publié, il reste fermé aux saisies du "Qui". On ne peut donc modifier que ses données générales 
	(nom, description) ainsi que l'ensemble des "Quand/Quoi". Le mode "brouillon" permet donc de les préparer tranquillement avant de
	les diffuser.</p>

<p>On notera que leurs URL d'accès contient une chaîne aléatoire permettant d'empêcher de la "deviner". Ainsi, si le menu
	"Les kikans" est invisible sur le site, il sera très difficile aux visiteurs non avertis d'arriver sur un kikan public. </p>

<h4>En créer un nouveau</h4>

<p>La création d'un nouveau kikan/kikoi se fait via le formulaire de création et est très simple. Il requiert simplement un nom. 
	Sa description est facultative. Elle permet d'ajouter des informations à destination des utilisateurs au dessous du fil d'ariane.
	Les champs "Nombre de dates possibles" et "Nombre d'horaires possibles" permettent de définir le nombre de champs de saisie à afficher. 
	Ces informations peuvent être modifiées à tout moment lors du paramétrage - et même après.</p>

<p>La partie "Kikan privé" propose de gérer le caractère privé du kikan, sous réserve qu'un des plugins (plnExtendedJurisdiction, lockArticle ou adhesion) soit installé. 
	Elle permet de modifier les contraintes par rapport aux règles de confidentialité déjà définies lors de la configuration générale de plnKikan.</p>

<p>Une fois créé, il apparait dans la liste principale et on peut passer à l'étape d'édition des "Quand" ou "Quoi"</p>

<h4>Edition</h4>
<p>L'édition d'un kikan/kikoi permet d'accéder à un formulaire offrant la possibilité de modifier l'ensemble des informations définies lors de sa
	création, mais également de paramétrer les "Quand/Quoi". C'est également ici qu'on peut définir son status (brouillon ou publié).</p>
<p>Un kikan ne peut être "publié" que si au moins une date a été paramétrée. Les horaires sont facultatifs.</p>
<p>Un kikoi ne peut être "publié" que si au moins un objet a été paramétrée. Les éléments sont facultatifs.</p>
<p class="warning orange">Lorsqu'il est publié, il est déconseillé de modifier les "Quand/Quoi", (les dates/horaire ou objet/élément sont en réalité les identifiants).<br/>Une fois publié et que les internautes ont commencé a répondre, il y a risque de perte d'information (certains ancien votes auront des blancs), Veillez en avertir ou en créer un nouveaux.</p>

<h3>Qui</h3>

<p>Le "Qui" peut intervenir une fois le "Quand/Quoi" défini et le kikan/kikoi publié. Il se trouve côté site ; n'importe qui peut potentiellement
	accéder au kikan pour définir le "Qui" (alors que seuls les comptes pluXml classiques peuvent paramétrer le "Quand/Quoi").</p>

<p>Suivant la configuration du plugin, le menu "Les kikans" pourra apparaître sur le site. Si c'est le cas, il permettra d'accéder à l'ensemble
	des publiés. Cette liste affiche leurs noms, descriptions et deux liens permettant de l'éditer ou de le voir.</p>

<p>Accéder au kikan en modification permet de voir l'ensemble des dates et horaires paramétrés (le "Quand/Quoi") ainsi que l'ensemble des choix
	effectués par d'autres utilisateurs (les autres "Qui"). Un espace est dédié à la saisie de la disponibilité aux événements proposés,
	sous la forme d'un feu tricolore apparaissant sous chaque date/horaire objet/élément. Par défaut, les feux rouges sont sélectionnés.</p>
<p>kikan : Un feu rouge	signifie "je ne peux être présent", un feu vert "je serai là" et un feu jaune "mouais, pas sûr, seulement si nécessaire".</p>
<p>kikoi : Un feu rouge	signifie "impossible", un feu vert "j'amène l'objet" et un feu jaune "peu probable, seulement si j'en emprunte ou trouve un".</p>
<p>N'importe qui peut modifier les choix de n'importe quel autre utilisateur.</p>

<h3>Prérequis</h3>

<p>Pour fonctionner plnKikan a besoin des plugins suivants :</p>
<ul>
	<li>- <strong>plnStaticPages</strong>&nbsp;: obligatoire, doit être activé et chargé <strong>après</strong> plnKikan</li>
	<li>- <strong>plnExtendedJurisdiction</strong>&nbsp;: facultatif (voir plus bas), doit être activé et chargé <strong>avant</strong> plnKikan</li>
	<li>- <strong>adhesion</strong>&nbsp;: facultatif (voir plus bas), doit être activé et chargé <strong>avant</strong> plnKikan</li>
	<li>- <strong>lockArticle</strong>&nbsp;: facultatif (voir plus bas), doit être activé et chargé <strong>avant</strong> plnKikan</li>
</ul>

<h3>Configuration du plugin</h3>

<p>Le plugin propose une page de configuration. Elle permet de définir&nbsp;:</p>
<ul>
	<li>- Le profil des comptes pluXml habilités à créer des kikans,</li>
	<li>- le template du thème pour afficher les kikans côté site,</li>
	<li>- s'il faut afficher le menu "Les kikans" sur le site (fortement déconseillé si une gestion de la privatisation des kikans n'est pas prévue),</li>
	<li>- si le plugin plnExtendedJurisdiction est installé, de définir les droits minimum nécessaires pour accéder aux kikans et au menu "Les Kikans" dans le cas où celui-ci apparait conditionnellement au profil du visiteur. Des contraintes différentes pourront être définies kikan par kikan dans l'interface d'administration.</li>
	<li>- si le plugin adhesion ou lockArticle est installé, de définir des kikans privés ainsi que le menu "Les Kikans" (dans ce cas, celui-ci apparait conditionnellement si le visiteur est connecté.</li>
</ul>

<h3>Privatisation des kikans</h3>

<h4>Aucune gestion de privatisation</h4>

<p>Par défaut, tout le monde a accès aux kikans. Si le bouton "les kikans" est accessible sur le site, il est aisé à quiconque de 
	les voir et les modifier. C'est un choix risqué, puisque n'importe qui peut faire n'importe quoi. Il est fortement recommandé, dans le cas où
	on ne privatise pas les kikans, de ne pas afficher le bouton "les kikans" (il faudra alors fournir les URL d'accès aux kikans
	directement aux intéressés).</p>

<h4>Privatisation via adhésion ou lockArticle</h4>

<p>Si le plugin adhesion ou lockArticle est installé, activé et chargé avant le plugin plnKikan, alors il est possible de rendre
	privés tout ou partie des kikans. Il est possible de rendre privé les kikan et kikoi. Ils s'affichent et Leurs adresses url sont autorisées qu'aux utilisateur validés et connectés au site.</p>

<h4>Privatisation via plnExtendedJurisdiction</h4>

<p>Si le plugin plnExtendedJurisdiction est installé, activé et chargé avant le plugin plnKikan, alors il est possible de rendre
	privés tout ou partie des kikans. Les possibilités sont quasi illimitées, puisqu'on peut définir autant de profils que l'on veut.</p>

<h4>Privatisation de l'accès à la liste des kikans et privatisation par défaut des kikans</h4>

<p>On peut privatiser l'ensemble des kikans en cochant la case idoine dans la <a href="parametres_plugin.php?p=plnKikan">page de configuration</a> 
	des kikans. Dans ce cas, le
	bouton "les kikans", s'il est visible, renverra à une page d'interdiction d'accès si le visiteur n'est pas connecté. Bien entendu, 
	un visiteur connecté aura accès à la liste des kikans.</p>

<p>Si, toujours dans la page de configuration, on définit un ou plusieurs profils d'accès en plus de cocher la case, alors seuls les
	visiteurs disposant d'au moins un de ces profils pourront accéder à la liste des kikans.</p>

<p>Le plus simple est certainement de choisir l'option "seulement si l'utilisateur est connecté" pour l'affichage du bouton "Les Kikans", 
	de cette manière ce bouton n'apparaitra que si l'utilisateur a les droits d'accès à la liste des kikans.</p>

<p>Finalement, le profil de privatisation défini dans la page de configuration sera également celui appliqué par défaut aux kikans.</p>

<h4>Privatisation d'un kikan en particulier</h4>

<p>Chaque kikan dispose par ailleurs de son propre profil de privatisation. Ainsi, un kikan peut être rendu complètement public, conserver
	le profil par défaut décidé dans la page de configuration ou être rendu encore plus "privé". C'est au choix du créateur du kikan.</p>

<p>Dans le cas où un kikan en particulier aurait une contrainte plus forte que les autres, et
que le visiteur connecté, bien qu'ayant accès à la liste des kikans, ne dispose pas des droits suffisants pour accéder à ce kikan particulier,
alors le kikan n'apparaîtrait pas dans la liste.</p>

<h4>Conseils de gestion de la privatisation des kikans</h4>

<p>Si vous utiliser lockArticle ou adhesion, il est conseillé de désactivé le plugin plnExtendedJurisdiction, ils ce peut qu'ils marchent les 2 ensembles mais qu'il provo des erreurs (non testé).
<p>Pour éviter les Trolls. Il est ensuite conseillé de rendre les kikans privés par défaut. Même, de cacher le menu "les kikans" que pour les personnes connectées.</p>

<p>Il est fortement conseillé d'installer le plugin plnExtendedJurisdiction de manière à gérer finement les droits d'accès aux kikans et pour
	éviter les spams. Il est ensuite conseillé de rendre les kikans privés par défaut, même sans leur donner de profil particulier. 
	De même, n'afficher le menu "les kikans" que pour les personnes connectées.</p>

<h5>Avec ces configurations, nous pouvons envisager deux grands types de kikans : </h5>

<ul>
	<li>- Les kikans privés : ils seront à destination des membres du site. Les membres du site pourront voir tous les kikans, ce qui simplifiera
		grandement la manipulation de ces objets (d'un clic on accède à tous les kikans en cours, ce qui évite d'avoir à rechercher
		les URL fournies par mail...).</li>
	<li>- Les kikans publics : on veut pouvoir offrir la possibilité à n'importe qui de s'inscrire. La liste des kikans étant privée, les visiteurs
	 	non connectés ne peuvent passer par cette page pour accéder au kikan. Il faudra donc leur fournir l'URL d'accès directement. C'est
	 	le mode de fonctionnement actuel des sites fournissant ce genre de service (framadate par exemple).</li>
</ul>

